Subject: Re: bug#43948: 28.0.50; [PATHC][NS] Make s-<left/right> to move to beginning/end of line

From: Alan Third <[email-masked]>
Date: Mon, 12 Oct 2020 19:33:41 +0100

On Mon, Oct 12, 2020 at 02:36:53PM +0300, Andrii Kolomoiets wrote:
> On macOS, 'Command-Left/Right Arrow' are the common shortcuts to move
> the insertion point to the beginning/end of line.
> 
> See https://support.apple.com/en-us/HT201236, 'Document shortcuts'
> section.
> 
> Considering that Emacs is the text editor (mostly), lets make it behave
> more like TextEdit.app and not like Terminal.app about those shortcuts.
> 
> Patch attached.

Thanks for this.

> +;; (as in TextEdit.app)

As these bindings are standard for the OS, I don't think we really
need this comment. :)

I want to leave this a little while to see if anyone objects, then we
can put it into master and see if anyone objects then.

Feel free to remind me about this in a week or so if I forget and
nobody else responds.
-- 
Alan Third